Skip to main content
GET
/
api
/
v1
/
executions
List Executions
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/executions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "organization_id": "<string>",
    "execution_type": "<string>",
    "entity_id": "<string>",
    "entity_name": "<string>",
    "prompt": "<string>",
    "system_prompt": "<string>",
    "status": "<string>",
    "response": "<string>",
    "error_message": "<string>",
    "usage": {},
    "execution_metadata": {},
    "runner_name": "<string>",
    "user_id": "<string>",
    "user_name": "<string>",
    "user_email": "<string>",
    "user_avatar": "<string>",
    "created_at": "<string>",
    "started_at": "<string>",
    "completed_at": "<string>",
    "updated_at": "<string>",
    "participants": [
      {
        "id": "<string>",
        "user_id": "<string>",
        "user_name": "<string>",
        "user_email": "<string>",
        "user_avatar": "<string>",
        "role": "<string>",
        "joined_at": "<string>",
        "last_active_at": "<string>"
      }
    ],
    "last_message_at": "<string>",
    "last_message_preview": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Query Parameters

skip
integer
default:0
limit
integer
default:100
status_filter
string | null
execution_type
string | null

Response

Successful Response

id
string
required
organization_id
string
required
execution_type
string
required
entity_id
string
required
entity_name
string | null
required
prompt
string
required
system_prompt
string | null
required
status
string
required
response
string | null
required
error_message
string | null
required
usage
Usage · object
required
execution_metadata
Execution Metadata · object
required
runner_name
string | null
required
user_id
string | null
required
user_name
string | null
required
user_email
string | null
required
user_avatar
string | null
required
created_at
string
required
started_at
string | null
required
completed_at
string | null
required
updated_at
string
required
participants
ParticipantResponse · object[]
last_message_at
string | null
last_message_preview
string | null